<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('leave_accumulation_settings', function (Blueprint $table) {
            $table->bigIncrements('id');
            $table->integer('leave_type')->index();
            $table->integer('classification_id')->index();
            $table->integer('years_from');
            $table->integer('years_to');
            $table->decimal('credits_days', 12,2);
            $table->decimal('credits_hours', 12,2);
            $table->boolean('enabled')->default(true)->index();
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('leave_accumulation_settings');
    }
};
